/ninox | Type: Application | PCID required: Yes
Tools
| Tool | Description |
|---|---|
ninox_batch_create_fields | Create multiple fields |
ninox_batch_delete_fields | Delete multiple fields |
ninox_create_field | Create a field |
ninox_create_module | Create a module |
ninox_create_records | Create records |
ninox_create_table | Create a table |
ninox_delete_field | Delete a field |
ninox_delete_module | Delete a module |
ninox_delete_records | Delete records |
ninox_delete_table | Delete a table |
ninox_get_field | Get a field |
ninox_get_module | Get a module |
ninox_get_table | Get a table |
ninox_get_workspace | Get workspace details |
ninox_import_csv_records | Import records from CSV |
ninox_list_fields | List fields in a table |
ninox_list_modules | List all modules |
ninox_list_records | List records |
ninox_list_tables | List tables in a module |
ninox_update_field | Update a field |
ninox_update_module | Update a module |
ninox_update_records | Update records |
ninox_update_table | Update a table |
ninox_batch_create_fields
Create multiple fields Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
moduleName | string | Yes | — | Module name |
tableName | string | Yes | — | Table name |
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"moduleName": {
"type": "string",
"description": "Module name"
},
"tableName": {
"type": "string",
"description": "Table name"
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "Field name (1-100 chars, lowercase alphanumeric and underscores)"
},
"type": {
"type": "string",
"enum": [
"string",
"number",
"boolean",
"choice",
"multi",
"file",
"date",
"timestamp",
"time",
"timeinterval",
"appointment",
"icon",
"color",
"user",
"reference",
"reverse"
],
"description": "Field data type"
},
"labels": {
"type": "object",
"description": "Localized display names"
},
"variant": {
"type": "string",
"enum": [
"multiline-text",
"text",
"phone",
"email",
"url",
"location"
],
"description": "Field variant for string type fields"
},
"refTableName": {
"type": "string",
"description": "Referenced table name (required for reference and reverse types)"
},
"index": {
"type": "boolean",
"description": "Enable indexing"
},
"required": {
"type": "boolean",
"description": "Make field required"
},
"search": {
"type": "boolean",
"description": "Include in search"
},
"unique": {
"type": "boolean",
"description": "Enforce unique values"
},
"readRoles": {
"type": "array",
"items": {
"type": "string"
},
"description": "Roles that can read this field"
},
"writeRoles": {
"type": "array",
"items": {
"type": "string"
},
"description": "Roles that can write this field"
}
},
"required": [
"name",
"type"
]
},
"description": "Request body"
}
},
"required": [
"PCID",
"moduleName",
"tableName",
"body"
]
}
ninox_batch_delete_fields
Delete multiple fields Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
moduleName | string | Yes | — | Module name |
tableName | string | Yes | — | Table name |
fieldNames | string[] | Yes | — | Names of fields to delete |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"moduleName": {
"type": "string",
"description": "Module name"
},
"tableName": {
"type": "string",
"description": "Table name"
},
"fieldNames": {
"type": "array",
"items": {
"type": "string"
},
"description": "Names of fields to delete"
}
},
"required": [
"PCID",
"moduleName",
"tableName",
"fieldNames"
]
}
ninox_create_field
Create a field Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
moduleName | string | Yes | — | Module name |
tableName | string | Yes | — | Table name |
index | boolean | No | — | Enable indexing |
labels | object | No | — | Localized display names |
name | string | Yes | — | Field name (1-100 chars, lowercase alphanumeric and underscores) |
readRoles | string[] | No | — | Roles that can read this field |
refTableName | string | No | — | Referenced table name (required for reference and reverse types) |
required | boolean | No | — | Make field required |
search | boolean | No | — | Include in search |
type | string | Yes | — | Field data type |
unique | boolean | No | — | Enforce unique values |
variant | string | No | — | Field variant for string type fields |
writeRoles | string[] | No | — | Roles that can write this field |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"moduleName": {
"type": "string",
"description": "Module name"
},
"tableName": {
"type": "string",
"description": "Table name"
},
"index": {
"type": "boolean",
"description": "Enable indexing"
},
"labels": {
"type": "object",
"description": "Localized display names"
},
"name": {
"type": "string",
"description": "Field name (1-100 chars, lowercase alphanumeric and underscores)"
},
"readRoles": {
"type": "array",
"items": {
"type": "string",
"enum": [
"admin",
"user"
]
},
"description": "Roles that can read this field"
},
"refTableName": {
"type": "string",
"description": "Referenced table name (required for reference and reverse types)"
},
"required": {
"type": "boolean",
"description": "Make field required"
},
"search": {
"type": "boolean",
"description": "Include in search"
},
"type": {
"type": "string",
"description": "Field data type",
"enum": [
"string",
"number",
"boolean",
"choice",
"multi",
"file",
"date",
"timestamp",
"time",
"timeinterval",
"appointment",
"icon",
"color",
"user",
"reference",
"reverse"
]
},
"unique": {
"type": "boolean",
"description": "Enforce unique values"
},
"variant": {
"type": "string",
"description": "Field variant for string type fields",
"enum": [
"multiline-text",
"text",
"phone",
"email",
"url",
"location"
]
},
"writeRoles": {
"type": "array",
"items": {
"type": "string",
"enum": [
"admin",
"user"
]
},
"description": "Roles that can write this field"
}
},
"required": [
"PCID",
"moduleName",
"tableName",
"name",
"type"
]
}
ninox_create_module
Create a module Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
hideNavigation | boolean | No | — | Hide module from navigation |
icon | object | Yes | — | The icon value |
isHidden | boolean | No | — | Hide module entirely |
labels | object | No | — | Localized display names |
name | string | Yes | — | Module identifier (1-100 chars, lowercase alphanumeric and underscores) |
openRoles | string[] | No | — | Roles with open access (1-2 roles) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"hideNavigation": {
"type": "boolean",
"description": "Hide module from navigation"
},
"icon": {
"type": "object",
"description": "The icon value",
"properties": {
"icon": {
"type": "string",
"description": "Icon name"
},
"color": {
"type": "string",
"description": "Icon color"
},
"filling": {
"type": "string",
"description": "Icon filling style"
}
},
"required": [
"icon"
]
},
"isHidden": {
"type": "boolean",
"description": "Hide module entirely"
},
"labels": {
"type": "object",
"description": "Localized display names"
},
"name": {
"type": "string",
"description": "Module identifier (1-100 chars, lowercase alphanumeric and underscores)"
},
"openRoles": {
"type": "array",
"items": {
"type": "string",
"enum": [
"admin",
"editor"
]
},
"description": "Roles with open access (1-2 roles)"
}
},
"required": [
"PCID",
"icon",
"name"
]
}
ninox_create_records
Create records Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
moduleName | string | Yes | — | Module name |
tableName | string | Yes | — | Table name |
records | object[] | Yes | — | Array of record objects with field name-value pairs |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"moduleName": {
"type": "string",
"description": "Module name"
},
"tableName": {
"type": "string",
"description": "Table name"
},
"records": {
"type": "array",
"items": {
"type": "object"
},
"description": "Array of record objects with field name-value pairs"
}
},
"required": [
"PCID",
"moduleName",
"tableName",
"records"
]
}
ninox_create_table
Create a table Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
moduleName | string | Yes | — | Module name |
createRoles | string[] | No | — | Create Roles |
deleteRoles | string[] | No | — | Delete Roles |
hasFiles | boolean | No | — | Enable file attachments |
hasGlobalSearch | boolean | No | — | Include in global search |
hasHistory | boolean | No | — | Track record history |
icon | object | Yes | — | The icon value |
isEmailLinkingEnabled | boolean | No | — | Enable email linking |
isHidden | boolean | No | — | Hide table |
labels | object | Yes | — | Localized display names |
name | string | Yes | — | Table name (1-100 chars, lowercase alphanumeric and underscores) |
readRoles | string[] | No | — | Read Roles |
writeRoles | string[] | No | — | Write Roles |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"moduleName": {
"type": "string",
"description": "Module name"
},
"createRoles": {
"type": "array",
"items": {
"type": "string",
"enum": [
"admin",
"editor"
]
},
"description": "Create Roles"
},
"deleteRoles": {
"type": "array",
"items": {
"type": "string",
"enum": [
"admin",
"editor"
]
},
"description": "Delete Roles"
},
"hasFiles": {
"type": "boolean",
"description": "Enable file attachments"
},
"hasGlobalSearch": {
"type": "boolean",
"description": "Include in global search"
},
"hasHistory": {
"type": "boolean",
"description": "Track record history"
},
"icon": {
"type": "object",
"description": "The icon value",
"properties": {
"icon": {
"type": "string",
"description": "Icon name"
},
"color": {
"type": "string",
"description": "Icon color"
},
"filling": {
"type": "string",
"description": "Icon filling style"
}
},
"required": [
"icon"
]
},
"isEmailLinkingEnabled": {
"type": "boolean",
"description": "Enable email linking"
},
"isHidden": {
"type": "boolean",
"description": "Hide table"
},
"labels": {
"type": "object",
"description": "Localized display names"
},
"name": {
"type": "string",
"description": "Table name (1-100 chars, lowercase alphanumeric and underscores)"
},
"readRoles": {
"type": "array",
"items": {
"type": "string",
"enum": [
"admin",
"editor"
]
},
"description": "Read Roles"
},
"writeRoles": {
"type": "array",
"items": {
"type": "string",
"enum": [
"admin",
"editor"
]
},
"description": "Write Roles"
}
},
"required": [
"PCID",
"moduleName",
"icon",
"labels",
"name"
]
}
ninox_delete_field
Delete a field Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
moduleName | string | Yes | — | Module name |
tableName | string | Yes | — | Table name |
fieldName | string | Yes | — | Field name |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"moduleName": {
"type": "string",
"description": "Module name"
},
"tableName": {
"type": "string",
"description": "Table name"
},
"fieldName": {
"type": "string",
"description": "Field name"
}
},
"required": [
"PCID",
"moduleName",
"tableName",
"fieldName"
]
}
ninox_delete_module
Delete a module Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
moduleName | string | Yes | — | Module name |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"moduleName": {
"type": "string",
"description": "Module name"
}
},
"required": [
"PCID",
"moduleName"
]
}
ninox_delete_records
Delete records Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
moduleName | string | Yes | — | Module name |
tableName | string | Yes | — | Table name |
records | integer[] | Yes | — | Array of record IDs to delete |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"moduleName": {
"type": "string",
"description": "Module name"
},
"tableName": {
"type": "string",
"description": "Table name"
},
"records": {
"type": "array",
"items": {
"type": "integer"
},
"description": "Array of record IDs to delete"
}
},
"required": [
"PCID",
"moduleName",
"tableName",
"records"
]
}
ninox_delete_table
Delete a table Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
moduleName | string | Yes | — | Module name |
tableName | string | Yes | — | Table name |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"moduleName": {
"type": "string",
"description": "Module name"
},
"tableName": {
"type": "string",
"description": "Table name"
}
},
"required": [
"PCID",
"moduleName",
"tableName"
]
}
ninox_get_field
Get a field Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
moduleName | string | Yes | — | Module name |
tableName | string | Yes | — | Table name |
fieldName | string | Yes | — | Field name |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"moduleName": {
"type": "string",
"description": "Module name"
},
"tableName": {
"type": "string",
"description": "Table name"
},
"fieldName": {
"type": "string",
"description": "Field name"
}
},
"required": [
"PCID",
"moduleName",
"tableName",
"fieldName"
]
}
ninox_get_module
Get a module Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
moduleName | string | Yes | — | Module name |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"moduleName": {
"type": "string",
"description": "Module name"
}
},
"required": [
"PCID",
"moduleName"
]
}
ninox_get_table
Get a table Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
moduleName | string | Yes | — | Module name |
tableName | string | Yes | — | Table name |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"moduleName": {
"type": "string",
"description": "Module name"
},
"tableName": {
"type": "string",
"description": "Table name"
}
},
"required": [
"PCID",
"moduleName",
"tableName"
]
}
ninox_get_workspace
Get workspace detailsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
ninox_import_csv_records
Import records from CSV Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
moduleName | string | Yes | — | Module name |
tableName | string | Yes | — | Table name |
batchSize | integer | No | — | Records per batch |
delimiter | string | No | — | Column delimiter (auto-detected if not specified) |
encoding | string | No | — | File encoding |
file | string | Yes | — | CSV file to import (max 50MB) |
hasHeader | boolean | No | — | Whether the CSV has a header row |
importMode | string | No | — | Import mode |
mappings | string | No | — | JSON array for field mapping configuration |
numberFormat | string | No | — | Number format for parsing |
quoteChar | string | No | — | Quote character |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"moduleName": {
"type": "string",
"description": "Module name"
},
"tableName": {
"type": "string",
"description": "Table name"
},
"batchSize": {
"type": "integer",
"description": "Records per batch"
},
"delimiter": {
"type": "string",
"description": "Column delimiter (auto-detected if not specified)"
},
"encoding": {
"type": "string",
"description": "File encoding",
"enum": [
"utf8",
"ascii",
"latin1",
"iso-latin1",
"utf16",
"windows-cp1252"
]
},
"file": {
"type": "string",
"description": "CSV file to import (max 50MB)"
},
"hasHeader": {
"type": "boolean",
"description": "Whether the CSV has a header row"
},
"importMode": {
"type": "string",
"description": "Import mode",
"enum": [
"append",
"update",
"upsert"
]
},
"mappings": {
"type": "string",
"description": "JSON array for field mapping configuration"
},
"numberFormat": {
"type": "string",
"description": "Number format for parsing",
"enum": [
"us",
"european"
]
},
"quoteChar": {
"type": "string",
"description": "Quote character"
}
},
"required": [
"PCID",
"moduleName",
"tableName",
"file"
]
}
ninox_list_fields
List fields in a table Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
moduleName | string | Yes | — | Module name |
tableName | string | Yes | — | Table name |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"moduleName": {
"type": "string",
"description": "Module name"
},
"tableName": {
"type": "string",
"description": "Table name"
}
},
"required": [
"PCID",
"moduleName",
"tableName"
]
}
ninox_list_modules
List all modulesShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
ninox_list_records
List records Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
moduleName | string | Yes | — | Module name |
tableName | string | Yes | — | Table name |
offset | integer | No | — | Number of records to skip |
limit | integer | No | — | Maximum number of records to return (1-100) |
fields | string | No | — | Comma-separated list of field names to include in the response |
sort | string | No | — | Field name to sort by. Prefix with - for descending order |
filter | string | No | — | JSON filter string for querying records |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"moduleName": {
"type": "string",
"description": "Module name"
},
"tableName": {
"type": "string",
"description": "Table name"
},
"offset": {
"type": "integer",
"description": "Number of records to skip"
},
"limit": {
"type": "integer",
"description": "Maximum number of records to return (1-100)"
},
"fields": {
"type": "string",
"description": "Comma-separated list of field names to include in the response"
},
"sort": {
"type": "string",
"description": "Field name to sort by. Prefix with - for descending order"
},
"filter": {
"type": "string",
"description": "JSON filter string for querying records"
}
},
"required": [
"PCID",
"moduleName",
"tableName"
]
}
ninox_list_tables
List tables in a module Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
moduleName | string | Yes | — | Module name |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"moduleName": {
"type": "string",
"description": "Module name"
}
},
"required": [
"PCID",
"moduleName"
]
}
ninox_update_field
Update a field Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
moduleName | string | Yes | — | Module name |
tableName | string | Yes | — | Table name |
fieldName | string | Yes | — | Field name |
index | boolean | No | — | Enable indexing |
labels | object | No | — | Localized display names |
name | string | No | — | New field name |
readRoles | string[] | No | — | Read Roles |
required | boolean | No | — | Make field required |
search | boolean | No | — | Include in search |
unique | boolean | No | — | Enforce unique values |
writeRoles | string[] | No | — | Write Roles |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"moduleName": {
"type": "string",
"description": "Module name"
},
"tableName": {
"type": "string",
"description": "Table name"
},
"fieldName": {
"type": "string",
"description": "Field name"
},
"index": {
"type": "boolean",
"description": "Enable indexing"
},
"labels": {
"type": "object",
"description": "Localized display names"
},
"name": {
"type": "string",
"description": "New field name"
},
"readRoles": {
"type": "array",
"items": {
"type": "string",
"enum": [
"admin",
"user"
]
},
"description": "Read Roles"
},
"required": {
"type": "boolean",
"description": "Make field required"
},
"search": {
"type": "boolean",
"description": "Include in search"
},
"unique": {
"type": "boolean",
"description": "Enforce unique values"
},
"writeRoles": {
"type": "array",
"items": {
"type": "string",
"enum": [
"admin",
"user"
]
},
"description": "Write Roles"
}
},
"required": [
"PCID",
"moduleName",
"tableName",
"fieldName"
]
}
ninox_update_module
Update a module Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
moduleName | string | Yes | — | Module name |
hideNavigation | boolean | No | — | Hide module from navigation |
icon | object | No | — | The icon value |
isHidden | boolean | No | — | Hide module entirely |
labels | object | No | — | Localized display names |
name | string | No | — | New module name |
openRoles | string[] | No | — | Open Roles |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"moduleName": {
"type": "string",
"description": "Module name"
},
"hideNavigation": {
"type": "boolean",
"description": "Hide module from navigation"
},
"icon": {
"type": "object",
"description": "The icon value",
"properties": {
"icon": {
"type": "string",
"description": "Icon name"
},
"color": {
"type": "string",
"description": "Icon color"
},
"filling": {
"type": "string",
"description": "Icon filling style"
}
},
"required": [
"icon"
]
},
"isHidden": {
"type": "boolean",
"description": "Hide module entirely"
},
"labels": {
"type": "object",
"description": "Localized display names"
},
"name": {
"type": "string",
"description": "New module name"
},
"openRoles": {
"type": "array",
"items": {
"type": "string",
"enum": [
"admin",
"editor"
]
},
"description": "Open Roles"
}
},
"required": [
"PCID",
"moduleName"
]
}
ninox_update_records
Update records Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
moduleName | string | Yes | — | Module name |
tableName | string | Yes | — | Table name |
records | object[] | Yes | — | Array of record objects to update |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"moduleName": {
"type": "string",
"description": "Module name"
},
"tableName": {
"type": "string",
"description": "Table name"
},
"records": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"description": "Record ID to update"
}
},
"required": [
"id"
]
},
"description": "Array of record objects to update"
}
},
"required": [
"PCID",
"moduleName",
"tableName",
"records"
]
}
ninox_update_table
Update a table Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
moduleName | string | Yes | — | Module name |
tableName | string | Yes | — | Table name |
createRoles | string[] | No | — | Create Roles |
deleteRoles | string[] | No | — | Delete Roles |
hasFiles | boolean | No | — | Has Files |
hasGlobalSearch | boolean | No | — | Has Global Search |
hasHistory | boolean | No | — | Has History |
icon | object | No | — | The icon value |
isEmailLinkingEnabled | boolean | No | — | Is Email Linking Enabled |
isHidden | boolean | No | — | Is Hidden |
labels | object | No | — | Localized display names |
name | string | No | — | New table name |
readRoles | string[] | No | — | Read Roles |
writeRoles | string[] | No | — | Write Roles |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"moduleName": {
"type": "string",
"description": "Module name"
},
"tableName": {
"type": "string",
"description": "Table name"
},
"createRoles": {
"type": "array",
"items": {
"type": "string",
"enum": [
"admin",
"editor"
]
},
"description": "Create Roles"
},
"deleteRoles": {
"type": "array",
"items": {
"type": "string",
"enum": [
"admin",
"editor"
]
},
"description": "Delete Roles"
},
"hasFiles": {
"type": "boolean",
"description": "Has Files"
},
"hasGlobalSearch": {
"type": "boolean",
"description": "Has Global Search"
},
"hasHistory": {
"type": "boolean",
"description": "Has History"
},
"icon": {
"type": "object",
"description": "The icon value",
"properties": {
"icon": {
"type": "string",
"description": "Icon name"
},
"color": {
"type": "string",
"description": "Icon color"
},
"filling": {
"type": "string",
"description": "Icon filling style"
}
},
"required": [
"icon"
]
},
"isEmailLinkingEnabled": {
"type": "boolean",
"description": "Is Email Linking Enabled"
},
"isHidden": {
"type": "boolean",
"description": "Is Hidden"
},
"labels": {
"type": "object",
"description": "Localized display names"
},
"name": {
"type": "string",
"description": "New table name"
},
"readRoles": {
"type": "array",
"items": {
"type": "string",
"enum": [
"admin",
"editor"
]
},
"description": "Read Roles"
},
"writeRoles": {
"type": "array",
"items": {
"type": "string",
"enum": [
"admin",
"editor"
]
},
"description": "Write Roles"
}
},
"required": [
"PCID",
"moduleName",
"tableName"
]
}

